unit Unit1;

  interface

  uses
  Windows,
  Controls,
  Classes,
  Forms,
  Dialogs,
  Db,
  SysUtils,
  DBTables,
  ExtCtrls,
  DBCtrls,
  StdCtrls,
  Shellapi,
  Mask,
  Menus, Graphics, Grids, DBGrids;

  type
    TForm1 = class(TForm)
    DBNavigator1: TDBNavigator;
    DBEdit1: TDBEdit;
    DataSource1: TDataSource;
    Label1: TLabel;
    MainMenu1: TMainMenu;
    Fermer1: TMenuItem;
    Image1: TImage;
    Label4: TLabel;
    Label5: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    DBGrid1: TDBGrid;
    Bevel1: TBevel;
    Label6: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Fermer1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Label5Click(Sender: TObject);

    private
    public

  end;

  var
    Form1: TForm1;
    Table1: TTable;

  implementation

  {$R *.DFM}

  procedure TForm1.FormCreate(Sender: TObject);
  begin

    Table1 := TTable.Create(nil);

    with  Table1 do begin

          TableName := 'PDOX.db';

          if not Exists then begin

                 MessageDlg('Le fichier de la base de donnes (PDOX.db) n''existe pas, il va tre (re)crer.', mtInformation, [mbok], 0);

                 Active := False;
                 TableType := ttParadox;
                 TableName := 'PDOX.db';

                 with FieldDefs do begin
                      Clear;
                      with AddFieldDef do begin
                           Name := 'MonChampsInteger';
                           DataType := ftInteger;
                           Required := True;
                      end;
                end;
                with IndexDefs do begin
                     Clear;
                     with AddIndexDef do begin
                          Name := 'idxPrim';
                          Fields := 'MonChampsInteger';
                          Options := [ixPrimary];
                end;

           end;

           CreateTable;

           end;

           DataSource1.DataSet := Table1;

           DBNavigator1.DataSource := DataSource1;

           with DBEdit1 do begin
                DataSource := DataSource1;
                DataField := 'MonChampsInteger';
                ReadOnly := false;
           end;

           Open;

    end;

  end;

  procedure TForm1.Fermer1Click(Sender: TObject);
  begin
   Close
  end;

  procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
  begin
    // Libre la mmoire alloue.
    Action := caFree;
    Form1 := nil;
  end;

  procedure TForm1.Label5Click(Sender: TObject);
  begin
   shellexecute(0,'open', 'http://dev-zone.com/faq/delphi/fqdph_index.php', nil, nil, SW_SHOWMAXIMIZED);
  end;
  end.
